Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.v1.xpath10
Class XPath10ExpressionCompilerImpl

    java.lang.Object
      org.apache.ode.bpel.compiler.v1.xpath10.XPath10ExpressionCompilerImpl

All Implemented Interfaces:
  ExpressionCompiler

Direct Known Subclasses:
  XPath10ExpressionCompilerBPEL11, XPath10ExpressionCompilerBPEL20

    public abstract class XPath10ExpressionCompilerImpl

extends java.lang.Object
implements ExpressionCompiler

XPath compiler based on the JAXEN implementation. Supports both 2.0 and 1.1 BPEL.

Field Summary
`protected CompilerContext` | `_compilerContext`
`protected java.util.Map<java.lang.String,java.lang.String>` | `_properties`
`protected javax.xml.namespace.QName` | `_qnFnGetLinkStatus`
`protected javax.xml.namespace.QName` | `_qnFnGetVariableData`
`protected javax.xml.namespace.QName` | `_qnFnGetVariableProperty`

Constructor Summary
`XPath10ExpressionCompilerImpl(java.lang.String bpelNsURI)` Construtor.

Method Summary
`protected void` | `doJaxenCompile(OXPath10Expression out, Expression source)` Verifies validity of a xpath expression.
`java.util.Map<java.lang.String,java.lang.String>` | `getProperties()`
`void` | `setCompilerContext(CompilerContext compilerContext)` Set the compiler context (for resolving variables and such).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.ode.bpel.compiler.v1.ExpressionCompiler
`compile, compileJoinCondition, compileLValue`

Field Detail

### _compilerContext

    protected CompilerContext _compilerContext

### _qnFnGetVariableData

    protected javax.xml.namespace.QName _qnFnGetVariableData

### _qnFnGetVariableProperty

    protected javax.xml.namespace.QName _qnFnGetVariableProperty

### _qnFnGetLinkStatus

    protected javax.xml.namespace.QName _qnFnGetLinkStatus

### _properties

    protected java.util.Map<java.lang.String,java.lang.String> _properties

Constructor Detail

### XPath10ExpressionCompilerImpl

    public XPath10ExpressionCompilerImpl(java.lang.String bpelNsURI)

  Construtor.

  Parameters:
    `bpelNsURI` - the BPEL extension function namespace; varies depending on BPEL version.

Method Detail

### setCompilerContext

    public void setCompilerContext(CompilerContext compilerContext)

  Description copied from interface: `ExpressionCompiler`
  Set the compiler context (for resolving variables and such).

  Specified by:
    `setCompilerContext` in interface `ExpressionCompiler`
  Parameters:
    `compilerContext` - compiler context
  See Also:
    `org.apache.ode.bpel.compiler.v1.api.ExpressionCompiler#setCompilerContext(org.apache.ode.bpel.compiler.v1.api.CompilerContext)`

### getProperties

    public java.util.Map<java.lang.String,java.lang.String> getProperties()

  Specified by:
    `getProperties` in interface `ExpressionCompiler`
  See Also:
    `org.apache.ode.bpel.compiler.v1.api.ExpressionCompiler#getProperties()`

### doJaxenCompile

    protected void doJaxenCompile(OXPath10Expression out,
                                  Expression source)
                           throws CompilationException

  Verifies validity of a xpath expression.

  Throws:
    `CompilationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD